#!/bin/bash
set -euo pipefail
IFS=$'\n\t'

UPSTREAM_RELEASES_URL="https://ftp.mozilla.org/pub/thunderbird/releases/"
UPSTREAM_VERSION=$( curl -s "$UPSTREAM_RELEASES_URL" | \
                    grep -v 0b | \
                    grep esr | \
                    grep -Eo '[0-9]+[0-9]+[0-9]+\.[0-9]+\.[0-9]|[0-9]+[0-9]+[0-9]+\.[0-9]' | \
                    sort --unique -rV | \
                    head -n1)esr
echo "$UPSTREAM_VERSION"
exit 0
